Index: trunk/source/Lib/TLibRenderer/TRenSingleModel.cpp
===================================================================
--- trunk/source/Lib/TLibRenderer/TRenSingleModel.cpp	(revision 296)
+++ trunk/source/Lib/TLibRenderer/TRenSingleModel.cpp	(revision 608)
@@ -36,9 +36,10 @@
 #include "TRenSingleModel.h"
 
-#if !QC_MVHEVC_B0046
+#if H_3D_VSO
+
 ////////////// TRENSINGLE MODEL ///////////////
 template <BlenMod iBM, Bool bBitInc>
 TRenSingleModelC<iBM,bBitInc>::TRenSingleModelC()
-:  m_iDistShift ( g_uiBitIncrement << 1 )
+:  m_iDistShift ( ( g_bitDepthY - 8) << 1 )
 {
   m_iWidth  = -1;
@@ -84,5 +85,5 @@
   }
 
-#ifdef LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
   m_pbHorSkip = NULL;
 #endif
@@ -92,5 +93,5 @@
 TRenSingleModelC<iBM,bBitInc>::~TRenSingleModelC()
 {
-#ifdef LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
   if ( m_pbHorSkip ) 
   {
@@ -114,5 +115,5 @@
 
 template <BlenMod iBM, Bool bBitInc> Void
-#if LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
 TRenSingleModelC<iBM,bBitInc>::create( Int iMode, Int iWidth, Int iHeight, Int iShiftPrec, Int*** aaaiSubPelShiftTable, Int iHoleMargin, Bool bUseOrgRef, Int iBlendMode, Bool bEarlySkip )
 #else
@@ -121,5 +122,5 @@
 
 {
-#if LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
   m_pbHorSkip     = new Bool [MAX_CU_SIZE];
   m_bEarlySkip    = bEarlySkip; 
@@ -182,5 +183,5 @@
   Pel* piDRow = piCurDepthPel;
   Pel* piYRow = apiCurVideoPel[0];
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
   Pel* piURow = apiCurVideoPel[1];
   Pel* piVRow = apiCurVideoPel[2];
@@ -196,5 +197,5 @@
       Int iSubPosX = (1 << m_iShiftPrec); 
       pcCurInputSampleRow[0].aiY[iSubPosX] = piYRow[0];
-#if HHI_VSO_COLOR_PLANES 
+#if H_3D_VSO_COLOR_PLANES 
       pcCurInputSampleRow[0].aiU[iSubPosX] = piURow[0];
       pcCurInputSampleRow[0].aiV[iSubPosX] = piVRow[0];
@@ -210,5 +211,5 @@
         Int iShift = (iPosX << m_iShiftPrec) + iSubPosX;
         pcCurInputSampleRow[iPosX+iOffsetX].aiY[iSubPosX] = piYRow[iShift];
-#if HHI_VSO_COLOR_PLANES 
+#if H_3D_VSO_COLOR_PLANES 
         pcCurInputSampleRow[iPosX+iOffsetX].aiU[iSubPosX] = piURow[iShift];
         pcCurInputSampleRow[iPosX+iOffsetX].aiV[iSubPosX] = piVRow[iShift];
@@ -221,5 +222,5 @@
     piDRow += iCurDepthStride;
     piYRow += aiCurVideoStride[0];
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
     piURow += aiCurVideoStride[1];
     piVRow += aiCurVideoStride[2];
@@ -270,5 +271,5 @@
   {  
   case 0:   
-#if LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
     xRenderL<true>( 0, 0, m_iWidth, m_iUsedHeight, m_aiBaseDepthStrides[0], m_apiBaseDepthPel[0],false );
 #else
@@ -277,5 +278,5 @@
     break;
   case 1:    
-#ifdef LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
     xRenderR<true>( 0, 0, m_iWidth, m_iUsedHeight, m_aiBaseDepthStrides[1], m_apiBaseDepthPel[1],false);
 #else
@@ -285,5 +286,5 @@
   case 2:
     TRenFilter::setupZLUT( true, 30, iDistToLeft, ppiBaseShiftLutLeft, ppiBaseShiftLutRight, m_iBlendZThres, m_iBlendDistWeight, m_piInvZLUTLeft, m_piInvZLUTRight );
-#ifdef LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
     xRenderL<true>( 0, 0, m_iWidth, m_iUsedHeight, m_aiBaseDepthStrides[0], m_apiBaseDepthPel[0],false);
     xRenderR<true>( 0, 0, m_iWidth, m_iUsedHeight, m_aiBaseDepthStrides[1], m_apiBaseDepthPel[1],false);
@@ -306,5 +307,5 @@
 
 template <BlenMod iBM, Bool bBitInc> Void
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
 TRenSingleModelC<iBM,bBitInc>::xGetSampleStrTextPtrs( Int iViewNum, Pel RenModelOutPels::*& rpiSrcY, Pel RenModelOutPels::*& rpiSrcU, Pel RenModelOutPels::*& rpiSrcV )
 #else
@@ -316,5 +317,5 @@
   case 0:
     rpiSrcY = &RenModelOutPels::iYLeft;
-#if HHI_VSO_COLOR_PLANES  
+#if H_3D_VSO_COLOR_PLANES  
     rpiSrcU = &RenModelOutPels::iULeft;
     rpiSrcV = &RenModelOutPels::iVLeft;
@@ -323,5 +324,5 @@
   case 1:
     rpiSrcY = &RenModelOutPels::iYRight;
-#if HHI_VSO_COLOR_PLANES  
+#if H_3D_VSO_COLOR_PLANES  
     rpiSrcU = &RenModelOutPels::iURight;
     rpiSrcV = &RenModelOutPels::iVRight;
@@ -330,5 +331,5 @@
   case 2:
     rpiSrcY = &RenModelOutPels::iYBlended;
-#if HHI_VSO_COLOR_PLANES  
+#if H_3D_VSO_COLOR_PLANES  
     rpiSrcU = &RenModelOutPels::iUBlended;
     rpiSrcV = &RenModelOutPels::iVBlended;
@@ -353,5 +354,5 @@
   
   Pel* piYRow = m_aapiRefVideoPel[0];
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
   Pel* piURow = m_aapiRefVideoPel[1];
   Pel* piVRow = m_aapiRefVideoPel[2];
@@ -363,5 +364,5 @@
     {      
       pcCurOutSampleRow[iPosX].iYRef = piYRow[iPosX];
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
       pcCurOutSampleRow[iPosX].iURef = piURow[iPosX];
       pcCurOutSampleRow[iPosX].iVRef = piVRow[iPosX];
@@ -372,5 +373,5 @@
     
     piYRow += m_aiRefVideoStrides[0];
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
     piURow += m_aiRefVideoStrides[1];
     piVRow += m_aiRefVideoStrides[2];
@@ -403,5 +404,5 @@
   Pel RenModelOutPels::* piSrcY = NULL;
 
-#if HHI_VSO_COLOR_PLANES  
+#if H_3D_VSO_COLOR_PLANES  
   Pel RenModelOutPels::* piSrcU = NULL;
   Pel RenModelOutPels::* piSrcV = NULL;
@@ -416,5 +417,5 @@
     {      
       pcCurOutSampleRow[iPosX].iYRef = pcCurOutSampleRow[iPosX].*piSrcY;
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
       pcCurOutSampleRow[iPosX].iURef = pcCurOutSampleRow[iPosX].*piSrcU;
       pcCurOutSampleRow[iPosX].iVRef = pcCurOutSampleRow[iPosX].*piSrcV;
@@ -449,14 +450,14 @@
       pcOutSampleRow[iPosX].iYRight       = 0;
       pcOutSampleRow[iPosX].iYBlended     = 0;
-#if HHI_VSO_COLOR_PLANES             
+#if H_3D_VSO_COLOR_PLANES             
       // U Planes                    
-      pcOutSampleRow[iPosX].iULeft        = 128 << g_uiBitIncrement;
-      pcOutSampleRow[iPosX].iURight       = 128 << g_uiBitIncrement;
-      pcOutSampleRow[iPosX].iUBlended     = 128 << g_uiBitIncrement;
+      pcOutSampleRow[iPosX].iULeft        = 1 << (g_bitDepthC - 1);
+      pcOutSampleRow[iPosX].iURight       = 1 << (g_bitDepthC - 1);
+      pcOutSampleRow[iPosX].iUBlended     = 1 << (g_bitDepthC - 1);
                                      
       // V Planes                    
-      pcOutSampleRow[iPosX].iVLeft        = 128 << g_uiBitIncrement;
-      pcOutSampleRow[iPosX].iVRight       = 128 << g_uiBitIncrement;
-      pcOutSampleRow[iPosX].iVBlended     = 128 << g_uiBitIncrement;
+      pcOutSampleRow[iPosX].iVLeft        = 1 << (g_bitDepthC - 1);
+      pcOutSampleRow[iPosX].iVRight       = 1 << (g_bitDepthC - 1);
+      pcOutSampleRow[iPosX].iVBlended     = 1 << (g_bitDepthC - 1);
 #endif
       //// Input Samples
@@ -472,5 +473,5 @@
 
 
-#ifdef LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
 template <BlenMod iBM, Bool bBitInc> RMDist
 TRenSingleModelC<iBM,bBitInc>::getDistDepth( Int iViewPos, Int iStartPosX, Int iStartPosY, Int iWidth, Int iHeight, Int iStride, Pel* piNewData , Pel * piOrgData, Int iOrgStride )
@@ -481,5 +482,5 @@
 {
   RMDist iSSE = 0;
-#ifdef LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
   Bool   bEarlySkip;
 #endif
@@ -487,5 +488,5 @@
   {
   case 0:
-#ifdef LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
     bEarlySkip = m_bEarlySkip ? xDetectEarlySkipL(iStartPosX,   iStartPosY,   iWidth,   iHeight,   iStride, piNewData, piOrgData, iOrgStride) : false;
     if( !bEarlySkip )
@@ -498,5 +499,5 @@
     break;
   case 1:
-#ifdef LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
     bEarlySkip = m_bEarlySkip ? xDetectEarlySkipR(iStartPosX,   iStartPosY,   iWidth,   iHeight,   iStride, piNewData, piOrgData, iOrgStride) : false;
     if( !bEarlySkip )
@@ -514,5 +515,5 @@
   return iSSE;
 }
-#ifdef LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
 template <BlenMod iBM, Bool bBitInc> Void
 TRenSingleModelC<iBM,bBitInc>::setDepth( Int iViewPos, Int iStartPosX, Int iStartPosY, Int iWidth, Int iHeight, Int iStride, Pel* piNewData, Pel* piOrgData, Int iOrgStride )
@@ -522,5 +523,5 @@
 #endif
 {
-#ifdef  LGE_VSO_EARLY_SKIP_A0093
+#ifdef  H_3D_VSO_EARLY_SKIP
   Bool bEarlySkip;
 #endif
@@ -528,5 +529,5 @@
   {
   case 0:
-#ifdef LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
     bEarlySkip = m_bEarlySkip ? xDetectEarlySkipL(iStartPosX,   iStartPosY,   iWidth,   iHeight,   iStride, piNewData, piOrgData,iOrgStride) : false;
     if( !bEarlySkip )
@@ -539,5 +540,5 @@
     break;
   case 1:
-#ifdef LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
     bEarlySkip = m_bEarlySkip ? xDetectEarlySkipR(iStartPosX,   iStartPosY,   iWidth,   iHeight,   iStride, piNewData, piOrgData,iOrgStride) : false;
     if( !bEarlySkip )
@@ -560,5 +561,5 @@
   AOT( pcPicYuv->getHeight() < m_iUsedHeight + m_iHorOffset );
 
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
   Pel RenModelOutPels::* piText[3] = { NULL, NULL, NULL };
   xGetSampleStrTextPtrs(iViewPos, piText[0], piText[1], piText[2]); 
@@ -581,5 +582,5 @@
   xGetSampleStrTextPtrs(iViewPos, piY); 
   xCopyFromSampleStruct( m_pcOutputSamples, m_iOutputSamplesStride, piY, pcPicYuv->getLumaAddr() + m_iHorOffset * pcPicYuv->getStride(), pcPicYuv->getStride(), m_iWidth, m_iUsedHeight );
-  pcPicYuv->setChromaTo( 128 << g_uiBitIncrement );   
+  pcPicYuv->setChromaTo( 1 << (g_bitDepthC - 1) );   
 #endif  
 }
@@ -595,5 +596,5 @@
   xGetSampleStrDepthPtrs(iViewPos, piD); 
   xCopyFromSampleStruct( m_pcOutputSamples, m_iOutputSamplesStride, piD, pcPicYuv->getLumaAddr() + pcPicYuv->getStride() * m_iHorOffset, pcPicYuv->getStride(), m_iWidth, m_iUsedHeight );
-  pcPicYuv->setChromaTo( 128 << g_uiBitIncrement );   
+  pcPicYuv->setChromaTo( 1 << (g_bitDepthC - 1) );   
 }
 
@@ -605,5 +606,5 @@
   AOT( pcPicYuv->getHeight() <  m_iUsedHeight + m_iHorOffset);
 
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
   Pel RenModelOutPels::* piText[3];
   piText[0] = &RenModelOutPels::iYRef;
@@ -627,5 +628,5 @@
 #else
   xCopyFromSampleStruct( m_pcOutputSamples, m_iOutputSamplesStride, &RenModelOutPels::iYRef, pcPicYuv->getLumaAddr() *  pcPicYuv->getStride() + m_iHorOffset, pcPicYuv->getStride(), m_iWidth, m_iUsedHeight );
-  pcPicYuv->setChromaTo( 128 << g_uiBitIncrement );   
+  pcPicYuv->setChromaTo( 1 << ( g_bitDepthC - 1 ) );   
 #endif  
 }
@@ -662,5 +663,5 @@
   m_pcOutputSamplesRow   += m_iOutputSamplesStride;  
 }
-#if LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
 template <BlenMod iBM, Bool bBitInc> template<Bool bSet> __inline RMDist 
 TRenSingleModelC<iBM,bBitInc>::xRenderL( Int iStartPosX, Int iStartPosY, Int iWidth, Int iHeight, Int iStride, Pel* piNewData, Bool bFast)
@@ -695,5 +696,5 @@
   for (Int iPosY = iStartPosY; iPosY < iStartPosY + iHeight; iPosY++ )
   {
-#ifdef LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
     if( m_bEarlySkip && bFast )
     {
@@ -721,5 +722,5 @@
       xExtrapolateMarginL<bSet>  ( iCurSPos, iEndChangePos, iError );
 
-      iMinChangedSPos       = Min( iMinChangedSPos, (iEndChangePos << m_iShiftPrec) - m_ppiCurLUT[0][ RenModRemoveBitInc( Max(m_pcInputSamplesRow[iCurViewPos][iEndChangePos].iD, m_piNewDepthData[iPosXinNewData] )) ]);
+      iMinChangedSPos       = std::min( iMinChangedSPos, (iEndChangePos << m_iShiftPrec) - m_ppiCurLUT[0][ RenModRemoveBitInc( std::max(m_pcInputSamplesRow[iCurViewPos][iEndChangePos].iD, m_piNewDepthData[iPosXinNewData] )) ]);
       iLastSPos             = iCurSPos;
       m_iLastDepth          = m_iCurDepth;
@@ -746,5 +747,5 @@
       // Get minimal changed sample position
 
-      iMinChangedSPos = Min( iMinChangedSPos, (iCurPosX << m_iShiftPrec) - m_ppiCurLUT[0][ RenModRemoveBitInc( Max(m_pcInputSamplesRow[iCurViewPos][iCurPosX].iD, m_piNewDepthData[iPosXinNewData] )) ]);
+      iMinChangedSPos = std::min( iMinChangedSPos, (iCurPosX << m_iShiftPrec) - m_ppiCurLUT[0][ RenModRemoveBitInc( std::max(m_pcInputSamplesRow[iCurViewPos][iCurPosX].iD, m_piNewDepthData[iPosXinNewData] )) ]);
       Int iCurSPos    = xShiftNewData(iCurPosX,iPosXinNewData);
       m_iCurDepth     = m_piNewDepthData[iPosXinNewData];
@@ -786,5 +787,5 @@
 }
 
-#ifdef  LGE_VSO_EARLY_SKIP_A0093
+#ifdef  H_3D_VSO_EARLY_SKIP
 template <BlenMod iBM, Bool bBitInc> template<Bool bSet> __inline RMDist
 TRenSingleModelC<iBM,bBitInc>::xRenderR( Int iStartPosX, Int iStartPosY, Int iWidth, Int iHeight, Int iStride, Pel* piNewData , Bool bFast)
@@ -820,5 +821,5 @@
   for (Int iPosY = iStartPosY; iPosY < iStartPosY + iHeight; iPosY++ )
   {
-#ifdef LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
     if( m_bEarlySkip && bFast )
     {
@@ -846,5 +847,5 @@
       xExtrapolateMarginR<bSet>     ( iCurSPos, iStartChangePos, iError );
 
-      iMaxChangedSPos       = Max( iMaxChangedSPos, (iStartChangePos << m_iShiftPrec) - m_ppiCurLUT[0][ RenModRemoveBitInc( Max(m_pcInputSamplesRow[iCurViewPos][iStartChangePos].iD, m_piNewDepthData[iPosXinNewData] )) ]);
+      iMaxChangedSPos       = std::max( iMaxChangedSPos, (iStartChangePos << m_iShiftPrec) - m_ppiCurLUT[0][ RenModRemoveBitInc( std::max(m_pcInputSamplesRow[iCurViewPos][iStartChangePos].iD, m_piNewDepthData[iPosXinNewData] )) ]);
       iLastSPos             = iCurSPos;
       m_iLastDepth          = m_iCurDepth;
@@ -872,5 +873,5 @@
       // Get minimal changed sample position
 
-      iMaxChangedSPos = Max( iMaxChangedSPos, (iCurPosX << m_iShiftPrec) - m_ppiCurLUT[0][ RenModRemoveBitInc( Max(m_pcInputSamplesRow[iCurViewPos][iCurPosX].iD, m_piNewDepthData[iPosXinNewData] )) ]);
+      iMaxChangedSPos = std::max( iMaxChangedSPos, (iCurPosX << m_iShiftPrec) - m_ppiCurLUT[0][ RenModRemoveBitInc( std::max(m_pcInputSamplesRow[iCurViewPos][iCurPosX].iD, m_piNewDepthData[iPosXinNewData] )) ]);
       Int iCurSPos    = xShiftNewData(iCurPosX,iPosXinNewData);
       m_iCurDepth     = m_piNewDepthData[iPosXinNewData];
@@ -1002,5 +1003,5 @@
 
     m_iThisDepth = m_iCurDepth;
-    for (Int iFillSPos = Max(0, xRangeLeftL(iCurSPos) ); iFillSPos <= min(xRangeRightL( iLastSPos ) ,m_iLastOccludedSPosFP-1); iFillSPos++ )
+    for (Int iFillSPos = std::max(0, xRangeLeftL(iCurSPos) ); iFillSPos <= min(xRangeRightL( iLastSPos ) ,m_iLastOccludedSPosFP-1); iFillSPos++ )
     {
       Int iDeltaCurSPos  = (iFillSPos << m_iShiftPrec) - iCurSPos;
@@ -1189,5 +1190,5 @@
 
   m_iThisDepth = m_iLastDepth;
-  for (Int iFillSPos = Max(iStartFillSPosFP+1,0); iFillSPos <= min(xRangeRightL( iLastSPos ), m_iLastOccludedSPosFP-1 ); iFillSPos++ )
+  for (Int iFillSPos = std::max(iStartFillSPosFP+1,0); iFillSPos <= min(xRangeRightL( iLastSPos ), m_iLastOccludedSPosFP-1 ); iFillSPos++ )
   {
     xSetShiftedPelL<bSet>( iLastPos, 0,  iFillSPos, REN_IS_HOLE, riError );
@@ -1233,5 +1234,5 @@
 //    return;
 
-  Int iSPosFullPel = Max(0,xRangeLeftL(iCurSPos));
+  Int iSPosFullPel = std::max(0,xRangeLeftL(iCurSPos));
 
   m_iThisDepth = m_iCurDepth;
@@ -1253,5 +1254,5 @@
   //    return;
 
-  Int iSPosFullPel = Min(m_iWidth-1,xRangeRightR(iCurSPos));
+  Int iSPosFullPel = std::min(m_iWidth-1,xRangeRightR(iCurSPos));
 
   m_iThisDepth = m_iCurDepth;
@@ -1413,5 +1414,5 @@
     // Yuv
     pcOutSample->iYLeft  = pcInSample->aiY[iSubSourcePos];
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
     pcOutSample->iULeft  = pcInSample->aiU[iSubSourcePos];
     pcOutSample->iVLeft  = pcInSample->aiV[iSubSourcePos];
@@ -1428,5 +1429,5 @@
   else
   { 
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
     riError += xGetDist( pcInSample->aiY[iSubSourcePos] - pcOutSample->iYRef,
                          pcInSample->aiU[iSubSourcePos] - pcOutSample->iURef,
@@ -1445,5 +1446,5 @@
 {
   Pel piBlendedValueY;
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
   Pel piBlendedValueU;
   Pel piBlendedValueV;
@@ -1453,5 +1454,5 @@
     pcInSample ->aiY[iSubSourcePos],
     pcOutSample->iYRight,    
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
     pcInSample ->aiU[iSubSourcePos],
     pcOutSample->iURight,    
@@ -1464,5 +1465,5 @@
     pcOutSample->iFilledRight  ,
     piBlendedValueY
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
     , piBlendedValueU,
     piBlendedValueV
@@ -1476,5 +1477,5 @@
     pcOutSample->iYLeft      = pcInSample ->aiY[iSubSourcePos];
     pcOutSample->iYBlended   = piBlendedValueY;    
-#if HHI_VSO_COLOR_PLANES  
+#if H_3D_VSO_COLOR_PLANES  
     pcOutSample->iULeft      = pcInSample ->aiU[iSubSourcePos];
     pcOutSample->iUBlended   = piBlendedValueU;    
@@ -1486,5 +1487,5 @@
     // Get Error
     Int iDiffY = pcOutSample->iYRef - piBlendedValueY;
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
     Int iDiffU = pcOutSample->iURef - piBlendedValueU;
     Int iDiffV = pcOutSample->iVRef - piBlendedValueV;
@@ -1497,5 +1498,5 @@
   {
     Int iDiffY = pcOutSample->iYRef - piBlendedValueY;
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
     Int iDiffU = pcOutSample->iURef - piBlendedValueU;
     Int iDiffV = pcOutSample->iVRef - piBlendedValueV;
@@ -1543,5 +1544,5 @@
     // Yuv
     pcOutSample->iYRight  = pcInSample->aiY[iSubSourcePos];
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
     pcOutSample->iURight  = pcInSample->aiU[iSubSourcePos];
     pcOutSample->iVRight  = pcInSample->aiV[iSubSourcePos];
@@ -1559,5 +1560,5 @@
   else
   { 
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
     riError += xGetDist( pcInSample->aiY[iSubSourcePos] - pcOutSample->iYRef,
       pcInSample->aiU[iSubSourcePos] - pcOutSample->iURef,
@@ -1576,5 +1577,5 @@
 {
   Pel piBlendedValueY;
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
   Pel piBlendedValueU;
   Pel piBlendedValueV;
@@ -1584,5 +1585,5 @@
     pcOutSample->iYLeft, 
     pcInSample ->aiY[iSubSourcePos],        
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
     pcOutSample->iULeft,    
     pcInSample ->aiU[iSubSourcePos],
@@ -1595,5 +1596,5 @@
     iFilled,
     piBlendedValueY
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
     , piBlendedValueU,
     piBlendedValueV
@@ -1607,5 +1608,5 @@
     pcOutSample->iYRight     = pcInSample ->aiY[iSubSourcePos];
     pcOutSample->iYBlended   = piBlendedValueY;    
-#if HHI_VSO_COLOR_PLANES  
+#if H_3D_VSO_COLOR_PLANES  
     pcOutSample->iURight     = pcInSample ->aiU[iSubSourcePos];
     pcOutSample->iUBlended   = piBlendedValueU;    
@@ -1617,5 +1618,5 @@
     // Get Error
     Int iDiffY = pcOutSample->iYRef - piBlendedValueY;
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
     Int iDiffU = pcOutSample->iURef - piBlendedValueU;
     Int iDiffV = pcOutSample->iVRef - piBlendedValueV;
@@ -1628,5 +1629,5 @@
   {
     Int iDiffY = pcOutSample->iYRef - piBlendedValueY;
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
     Int iDiffU = pcOutSample->iURef - piBlendedValueU;
     Int iDiffV = pcOutSample->iVRef - piBlendedValueV;
@@ -1680,5 +1681,5 @@
 
 
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
 template <BlenMod iBM, Bool bBitInc>  __inline Void
 TRenSingleModelC<iBM,bBitInc>::xGetBlendedValue( Pel iYL, Pel iYR, Pel iUL, Pel iUR, Pel iVL, Pel iVR, Pel iDepthL, Pel iDepthR, Int iFilledL, Int iFilledR, Pel& riY, Pel& riU, Pel&riV )
@@ -1695,5 +1696,5 @@
     if (iBM == BLEND_LEFT )
     {
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
       xGetBlendedValueBM1(  iYL,  iYR,  iUL,  iUR,  iVL,  iVR,  iDepthL,  iDepthR,  iFilledL,  iFilledR,  riY,  riU, riV );
 #else
@@ -1703,5 +1704,5 @@
     else
     {
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
       xGetBlendedValueBM2(  iYL,  iYR,  iUL,  iUR,  iVL,  iVR,  iDepthL,  iDepthR,  iFilledL,  iFilledR,  riY,  riU, riV );
 #else
@@ -1721,5 +1722,5 @@
       {
         riY = xBlend( iYL, iYR, iFilledR >> 1 );
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
         riU = xBlend( iUL, iUR, iFilledR >> 1 );
         riV = xBlend( iVL, iVR, iFilledR >> 1 );
@@ -1730,5 +1731,5 @@
       {
         riY = xBlend( iYR, iYL, (iFilledL >> 1) );
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
         riU = xBlend( iUR, iUL, (iFilledL >> 1) );
         riV = xBlend( iVR, iVL, (iFilledL >> 1) );
@@ -1738,5 +1739,5 @@
       {
         riY = xBlend( iYL, iYR, m_iBlendDistWeight );
-#if HHI_VSO_COLOR_PLANES    
+#if H_3D_VSO_COLOR_PLANES    
         riU = xBlend( iUL, iUR, m_iBlendDistWeight );
         riV = xBlend( iVL, iVR, m_iBlendDistWeight );
@@ -1747,5 +1748,5 @@
     {
       riY = iYL;
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
       riU = iUL;
       riV = iVL;
@@ -1755,5 +1756,5 @@
     {
       riY = iYR;
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
       riU = iUR;
       riV = iVR;
@@ -1766,5 +1767,5 @@
     {
         riY =  iYR;
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
         riU =  iUR;
         riV =  iVR;
@@ -1774,5 +1775,5 @@
     {
         riY =  iYL;
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
         riU =  iUL;
         riV =  iVL;
@@ -1785,5 +1786,5 @@
     {
         riY = iYL;
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
         riU = iUL;
         riV = iVL;
@@ -1793,5 +1794,5 @@
     {
       riY = iYR;
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
       riU = iUR;
       riV = iVR;
@@ -1802,5 +1803,5 @@
 
 template <BlenMod iBM, Bool bBitInc> __inline Void
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
 TRenSingleModelC<iBM,bBitInc>::xGetBlendedValueBM1( Pel iYL, Pel iYR, Pel iUL, Pel iUR, Pel iVL, Pel iVR, Pel iDepthL, Pel iDepthR, Int iFilledL, Int iFilledR, Pel& riY, Pel& riU, Pel&riV )
 #else
@@ -1811,5 +1812,5 @@
   {
     riY = iYL;
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
     riU = iUL;
     riV = iVL;
@@ -1819,5 +1820,5 @@
   {
     riY = iYR;
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
     riU = iUR;
     riV = iVR;
@@ -1827,5 +1828,5 @@
   {
     riY = xBlend( iYR, iYL, iFilledL );
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
     riU = xBlend( iUR, iUL, iFilledL );
     riV = xBlend( iVR, iUL, iFilledL );
@@ -1835,5 +1836,5 @@
 
 template <BlenMod iBM, Bool bBitInc> __inline Void
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
 TRenSingleModelC<iBM,bBitInc>::xGetBlendedValueBM2( Pel iYL, Pel iYR, Pel iUL, Pel iUR, Pel iVL, Pel iVR, Pel iDepthL, Pel iDepthR, Int iFilledL, Int iFilledR, Pel& riY, Pel& riU, Pel&riV )
 #else
@@ -1844,5 +1845,5 @@
   {
     riY = iYR;
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
     riU = iUR;
     riV = iVR;
@@ -1852,5 +1853,5 @@
   {
     riY = iYL;
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
     riU = iUL;
     riV = iVL;
@@ -1860,5 +1861,5 @@
   {
     riY = xBlend( iYL, iYR, iFilledR );
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
     riU = xBlend( iUL, iUR, iFilledR );
     riV = xBlend( iVL, iUR, iFilledR );
@@ -1891,5 +1892,5 @@
 template class TRenSingleModelC<BLEND_RIGHT,false>;
 
-#ifdef LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
 template <BlenMod iBM, Bool bBitInc> 
 __inline Bool
@@ -1957,4 +1958,4 @@
 }
 #endif
-#endif
-
+#endif // H_3D
+
Index: trunk/source/Lib/TLibRenderer/TRenSingleModel.h
===================================================================
--- trunk/source/Lib/TLibRenderer/TRenSingleModel.h	(revision 296)
+++ trunk/source/Lib/TLibRenderer/TRenSingleModel.h	(revision 608)
@@ -32,5 +32,5 @@
  */
 
-#if !QC_MVHEVC_B0046
+
 #ifndef __TRENSINGLEMODEL__ 
 #define __TRENSINGLEMODEL__
@@ -51,9 +51,8 @@
 #include <cstring>
 
-
+#if H_3D_VSO
 using namespace std;
 
-
-#if HHI_VSO_RM_ASSERTIONS
+#if H_3D_VSO_RM_ASSERTIONS
 #define RM_AOT( exp ) AOT ( exp )
 #define RM_AOF( exp ) AOF ( exp )
@@ -70,5 +69,5 @@
 
   virtual ~TRenSingleModel() { }  
-#if LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
   virtual Void   create    ( Int iMode, Int iWidth, Int iHeight, Int iShiftPrec, Int*** aaaiSubPelShiftTable, Int iHoleMargin, Bool bUseOrgRef, Int iBlendMode, Bool bEarlySkip ) = 0;
 #else
@@ -82,5 +81,5 @@
 
   // Set Data
-#ifdef LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
   virtual Void   setDepth  ( Int iViewPos,                 Int iStartPosX, Int iStartPosY, Int iWidth, Int iHeight, Int iStride, Pel* piNewData, Pel* piOrgData, Int iOrgStride )  = 0;
 #else
@@ -90,5 +89,5 @@
 
   // Get Distortion
-#ifdef LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
   virtual RMDist getDistDepth  ( Int iViewPos,             Int iStartPosX, Int iStartPosY, Int iWidth, Int iHeight, Int iStride, Pel* piNewData, Pel * piOrgData , Int iOrgStride)=0;
 #else
@@ -109,5 +108,5 @@
     // video
     Pel aiY[5]    ; // y-value
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
     Pel aiU[5]    ; // u-value
     Pel aiV[5]    ; // v-value
@@ -126,5 +125,5 @@
     Pel iYRight   ; 
     Pel iYBlended ; 
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
     Pel iULeft    ; 
     Pel iURight   ; 
@@ -148,5 +147,5 @@
     // reference
     Pel iYRef    ; 
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
     Pel iURef    ; 
     Pel iVRef    ; 
@@ -161,5 +160,5 @@
 
   // Create Model
-#if LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
   Void   create    ( Int iMode, Int iWidth, Int iHeight, Int iShiftPrec, Int*** aaaiSubPelShiftTable, Int iHoleMargin, Bool bUseOrgRef, Int iBlendMode, Bool bEarlySkip  );
 #else
@@ -172,5 +171,5 @@
   Void   setup     ( TComPicYuv* pcOrgVideo, Int** ppiShiftLutLeft, Int** ppiBaseShiftLutLeft, Int** ppiShiftLutRight,  Int** ppiBaseShiftLutRight,  Int iDistToLeft, Bool bKeepReference );
 
-#if LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
   Void   setDepth  ( Int iViewPos,                 Int iStartPosX, Int iStartPosY, Int iWidth, Int iHeight, Int iStride, Pel* piNewData, Pel* piOrgData, Int iOrgStride );
 #else
@@ -180,5 +179,5 @@
 
   // Get Distortion
-#ifdef LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
   RMDist getDistDepth  ( Int iViewPos,             Int iStartPosX, Int iStartPosY, Int iWidth, Int iHeight, Int iStride, Pel* piNewData, Pel * piOrgData , Int iOrgStride);
 #else
@@ -198,5 +197,5 @@
   /////  Rendering /////
   // Left to Right
-#if LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
                       __inline Bool   xDetectEarlySkipL   ( Int iStartPosX, Int iStartPosY, Int iWidth, Int iHeight, Int iStride, Pel* piNewData,Pel* piOrgData, Int iOrgStride );
                       __inline Bool   xDetectEarlySkipR   ( Int iStartPosX, Int iStartPosY, Int iWidth, Int iHeight, Int iStride, Pel* piNewData,Pel* piOrgData, Int iOrgStride );
@@ -229,5 +228,5 @@
   template<Bool bSet> __inline Void   xSetShiftedPelBlend ( Int iSourcePos, Int iTargetSPos, Pel iFilled, RMDist& riError );
 
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
   __inline Void   xGetBlendedValue    ( Pel iYL, Pel iYR, Pel iUL, Pel iUR, Pel iVL, Pel iVR, Pel iDepthL, Pel iDepthR, Int iFilledL, Int iFilledR, Pel& riY, Pel& riU, Pel&riV );
   __inline Void   xGetBlendedValueBM1 ( Pel iYL, Pel iYR, Pel iUL, Pel iUR, Pel iVL, Pel iVR, Pel iDepthL, Pel iDepthR, Int iFilledL, Int iFilledR, Pel& riY, Pel& riU, Pel&riV );
@@ -260,5 +259,5 @@
   __inline Void   xSetInts   ( Int*  piPelSource , Int iSourceStride, Int iWidth, Int iHeight, Int iVal );
 
-#if HHI_VSO_COLOR_PLANES
+#if H_3D_VSO_COLOR_PLANES
   Void            xGetSampleStrTextPtrs ( Int iViewNum, Pel RenModelOutPels::*& rpiSrcY, Pel RenModelOutPels::*& rpiSrcU, Pel RenModelOutPels::*& rpiSrcV );
 #else  
@@ -367,5 +366,5 @@
   Int   m_iShiftPrec;
   Int   m_iHoleMargin;
-#ifdef LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
   Bool  m_bEarlySkip; 
 #endif
@@ -385,10 +384,11 @@
 
   //// Early Skip 
-#ifdef LGE_VSO_EARLY_SKIP_A0093
+#if H_3D_VSO_EARLY_SKIP
   Bool* m_pbHorSkip;
 #endif
 };
 
+#endif // H_3D
 #endif //__TRENSINGLEMODEL__
-#endif
-
+
+
